#
# spec file for package perl-Data-Util
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Data-Util
Version:        0.63
Release:        8.19
%define cpan_name Data-Util
Summary:        A selection of utilities for data and data types
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Data-Util/
Source:         http://www.cpan.org/authors/id/G/GF/GFUJI/%{cpan_name}-%{version}.tar.gz
Patch0:         perl522.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Devel::PPPort) >= 3.19
BuildRequires:  perl(ExtUtils::ParseXS) >= 3.18
BuildRequires:  perl(Hash::Util::FieldHash::Compat)
BuildRequires:  perl(Scope::Guard)
BuildRequires:  perl(Test::Exception) >= 0.27
%{perl_requires}

%description
This module provides utility functions for data and data types, including
functions for subroutines and symbol table hashes (stashes).

The implementation of this module is both Pure Perl and XS, so if you have
a C compiler, all the functions this module provides are really faster.

There are many benchmarks in the _DIST-DIR/benchmark/_ directory.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes example README

%changelog
* Thu Aug 27 2015 hsk@imb-jena.de
- added perl522.patch: patch from rt.cpan.org, #99097, to get
  module built with perl-5.22
* Fri Mar  7 2014 coolo@suse.com
- updated to 0.63
  - Fix a crash on perl 5.19.x (tokuhirom)
* Tue Jun  4 2013 coolo@suse.com
- updated to 0.62
  - Fix a crash on perl 5.17.x (tokuhirom)
  - Fix usage of get_code_ref() in SYNOPSIS (thanks to @toku_bass)
  - No feature changes. Just upgraded Module::Install.
* Fri Nov 18 2011 coolo@suse.com
- update to 0.59
  * Re-packaging with better dependencies and latest M::I
* Thu Jul 14 2011 coolo@novell.com
- updated to 0.58
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Wed Oct 20 2010 chris@computersalat.de
- recreated by cpanspec 1.78
- fixed deps
- added examples to doc
* Wed Sep 15 2010 lars@linux-schulserver.de
- update to 0.58:
  + Use GvCV_set() for newer perls
- enabled tests again
* Sat Apr 10 2010 lars@linux-schulserver.de
- initial version 0.56
- skipped make test temporary as this currently breaks the build
